.sidenav {
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    flex-direction: column;
    position: fixed;
    margin: 0px;
    width: min-content;
    height: 100%;
    flex-shrink: 0; 
}

.sidenav a {
    width: 200px;
    font-size: 21px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    background-color: rgba(0, 0, 0, 0.45);
    padding: 10px 20px;
    text-align: left;
    border-bottom: 1px solid rgba(0, 0, 0, 0.45);

}

.sidenav a:hover {
    background-color: rgba(47, 47, 47, 0.45);
}

.links {
    text-align: center;
}

.sidenav h1 {
    text-align: center;
}

.links h2 {
    text-align: center;
}

.links a {
    color: rgb(174, 0, 255);
    background-color: rgba(0, 0, 0, 0);
    border: solid 1px rgba(0, 0, 0, 0);
    padding: 2px;
    text-decoration: underline;
}

.links a:hover {
    background-color: rgba(0, 0, 0, 0);
    border: solid 1px rgba(0, 0, 0, 0);
}
